<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Empresa;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    public function index(){
        //Si ya estamos autenticados, redireccionamos a página de pedidos, sino a página de login
        if (Auth::check()) {
            return redirect()->intended('/orders');
        }
        else{ 
            return view('login');
        }
        
    }

    //Función que valida que las credenciales de acceso son correctas
    public function validarLogin(Request $request){

        $credentials = $request->validate([
            'email' => ['required', 'email'],
            'password' => ['required'],
        ]);

        $remember=true;
        if (Auth::attempt($credentials,$remember)) {
            $request->session()->regenerate();  //Regeneramos la sesion
            return redirect()->intended('/orders');  //Redireccionamos a la página de pedidos
        }
 
        //Si hay algún error, devolvmemos el mensaje 
        return back()->withErrors(['email' => 'Las credenciales proporcionadas no son validas.'])->onlyInput('email');
    }


    //Función que cierra la sesión y redirige a la página de login
    public function logout(Request $request)
    {
        Auth::logout();
        $request->session()->invalidate();
        $request->session()->regenerateToken();
        return redirect('/');
    }    


 
}
