<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

//CONTROLADOR DE REGISTRO DE NUEVOS USUARIOS
class RegisterController extends Controller
{
    //Mostramos la vista de registro
    public function index(){
        return view('admin/register');
    }  

    //Función que valida y registra un nuevo usuario en el sistema
    public function registro(Request $request){
        //Creamos los mensajes de validación
        $messages=[
            'email.required'=>'El campo email es requerido.',
            'email.unique'=>'El email introducido ya está registrado.',
            'password.required'=>'Ha de introducir una contraseña.',                        
            'password.min'=>'La contraseña mínima es de 4 caracteres.',                                    
            'password2.required'=>'Ha de introducir la repetición de contraseña.',                        
            'password2.same'=>'La contraseña y su repetición deben coincidir.'
        ];

        //Validamos el usuario
        $this->validate($request,['email' => 'required|unique:usuario,email',
                        'password' => 'required|min:4',
                        'password2' => 'required|same:password'], $messages);

        //Si todo es correcto, creamos el nuevo usuario
        $user=new User([
            'name' => $request->input('name'),
            'email' => $request->input('email'),
            'password' => bcrypt($request->input('password')),
            'perfil' => $request->input('perfil'),
        ]);
        $user->save(); //Guarda los datos para el usuario
        //Redirigimos a la vista con mensaje de exito
        return redirect('admin/register')->with('success','Usuario creado correctamente.'); 
    }
}
