<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

//CONTROLADOR DE GESTIÓN DE USUARIOS
class userAdminController extends Controller
{
    //Función que muestra el listado de usuarios del sistema
    public function index(){

        $users=User::where("email","<>","")->orderBy('created_at', 'desc')->paginate(50);
        return view('admin/usuarios',['users' => $users]);

    }  

    //Funcion que permite eliminar un usuario del sistema
    public function eliminarUsuario(Request $request){

        $usuario=User::destroy($request->post('id'));
        return redirect('admin/usuarios');    
    }  

    //Funcion que modifica los datos de un usuario del sistema
    public function modificarUsuario(Request $request){
        $user=User::findOrFail($request->post('id'));
        return view('admin/modificarUsuario',['user' => $user]);    
    }  

    //Función que valida y guarda los datos modificados de un usuario
    public function modificarDatos(Request $request){
        //Creación de los mensajes de error
        $messages=[
            'email.required'=>'El campo email es requerido.',
            'email.unique'=>'El email introducido ya está registrado.',
            'password.required'=>'Ha de introducir una contraseña.',                        
            'password.min'=>'La contraseña mínima es de 4 caracteres.',                                    
            'password2.required'=>'Ha de introducir la repetición de contraseña.',                        
            'password2.same'=>'La contraseña y su repetición deben coincidir.'
        ];

        //Validamos los datos del usuario modificado
        $this->validate($request,['email' => 'required|unique:usuario,email',
                        'password' => 'required|min:4',
                        'password2' => 'required|same:password'], $messages);

        //Obtenemos los datos de usuario y los modificamos
        $user=User::findOrFail($request->post('id'));
        $user->name=$request->post('name');
        $user->email=$request->post('email');        
        $user->password=bcrypt($request->post('password'));
        $user->perfil=$request->post('perfil');        
        
        $user->save(); //Guarda los datos para el usuario
        //Redireccionamos a la vista de administración de usuarios
        return redirect('admin/usuarios');    
    }  


}
