/* Copyright (C) 2023  José Luis Rubio Leira

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

const Joi=require('joi');
const mongoose=require('mongoose');

//Creamos un esquema de mongoose para los centros
const centroSchema = new mongoose.Schema({
    cod_centro: {
        type:String,
         required:true,
         minlength:4,
         maxlength:4
    },
    desc_centro: {
        type:String,
        required:true,
        minlength:1,
        maxlength:255
    }
});

//Creamos el modelo basandonos en el esquema
const Centro=mongoose.model('Centro',centroSchema);

//Validación de centro con Joi
function validateCentro(centro){
    const schema={
        //id:Joi.number().required(),
        cod_centro:Joi.string().max(4).min(4).required(),
        desc_centro:Joi.string().max(255).required()
    };
    
    return Joi.validate(centro,schema);
}

module.exports.Centro=Centro;
module.exports.validate=validateCentro;
module.exports.centroSchema=centroSchema;