<?php

use App\Http\Controllers\OrderController;
use App\Http\Controllers\CentroController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\admin\RegisterController;
use App\Http\Controllers\admin\OrderAdminController;
use App\Http\Controllers\admin\UserAdminController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'admin'], function () {
    Route::get('/admin/register',[RegisterController::class, 'index']);
    Route::post('/admin/registro',[RegisterController::class, 'registro']);
    Route::get('/admin/pedidos',[OrderAdminController::class, 'index']);    
    Route::get('/admin/selecfechas',[OrderAdminController::class, 'selecfechas']);
    Route::post('/admin/pedidosMes',[OrderAdminController::class, 'pedidosMes']);
    Route::post('/admin/pedidosFecha',[OrderAdminController::class, 'pedidosFecha']);
    Route::get('/admin/usuarios',[UserAdminController::class, 'index']);        
    Route::post('/admin/eliminarUsuario',[UserAdminController::class, 'eliminarUsuario']);            
    Route::post('/admin/modificarUsuario',[UserAdminController::class, 'modificarUsuario']);            
    Route::post('/admin/modificarDatos',[UserAdminController::class, 'modificarDatos']);                
});

Route::get('/offline', function(){
    return view('vendor.laravelpwa.offline');
});
Route::get('/', function () {
    return view('/login');
});

Route::get('/login', [LoginController::class, 'index']);                
Route::post('/validarLogin',[LoginController::class, 'validarLogin']);

Route::group(['middleware' => 'registered'], function () {
    Route::get('/orders', [OrderController::class, 'index'])->name("orders");
    Route::post('/ordersFecha', [OrderController::class, 'ordersFecha']);    
    Route::post('/actualizarEstado', [OrderController::class, 'actualizarEstado']);
    Route::get('/logout',[LoginController::class, 'logout']);
});