/* Copyright (C) 2023  José Luis Rubio Leira

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*/
const mongoose=require('mongoose');
const winston=require('winston');
const config=require('config');

//Establecemos la conexión con la base de datos MongoDB con los datos obtenidos de la configuracion
module.exports=async function(){

    try{
        const db=config.get('db')
        mongoose.set('strictQuery', false);
        const res=await mongoose.connect(db,{ useNewUrlParser: true, useUnifiedTopology: true });
    }
    catch(err){
        console.error('No ha sido posible conectar con MongoDB',err)
    }
    winston.info('Conectado a Base de datos (MongoDB)...')
    console.log('Acceda al servidor http://localhost:3000/start para comenzar la sesión de descarga de ficheros...')    


}
