/* Copyright (C) 2023  José Luis Rubio Leira

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

const winston=require('winston');
require('winston-mongodb');
require('express-async-errors');

//Establecemos los parámetros de logging
module.exports=function(){

    winston.exceptions.handle(new winston.transports.Console({colorize:true, prettyPrint:true}));
    winston.exceptions.handle(new winston.transports.File({filename: 'uncaughtExceptions.log'}));
    
    process.on('unhandledRejection',(ex)=>{
        throw ex; //winston will catch this exception in uncaughtexceptions....
    });

    winston.add(new winston.transports.Console({colorize:true, prettyPrint:true}));
    winston.add(new winston.transports.File({ filename: 'logfile.log'}));
    winston.add(new winston.transports.MongoDB({
        db: 'mongodb+srv://blaniza:Dimaria01@cluster1.zlndy6y.mongodb.net/?retryWrites=true&w=majority',
        level:'info'
    }));    

}

