<?php

namespace Tests\Unit;

use App\Http\Controllers\CentroController;
use App\Models\Centro;
use Illuminate\Http\Request;
use Tests\TestCase;

//Clase de prueba unitaria del controlador CentroController
class CentroControllerTest extends TestCase
{
    
    public function testIndex()
    {
        $controller = new CentroController();

        // Llamamos al método index del controlador de centros
        $response = $controller->index();

        // Realizamos las comprobaciones del test:
        $this->assertEquals('centros', $response->getName());   //Comprobamos que se devuelve una vista con nombre 'centros'
        $this->assertArrayHasKey('centros', $response->getData());       //Comprobamos que la vista tiene una variable centros disponible
        $datos = $response->getData()['centros'];
        $this->assertGreaterThan(0, $datos->count()); //Comprobamos que se devuelven datos de centros
    }
}